import 'package:flutter/material.dart';
import 'package:krow/features/shifts/presentation/dialogs/decline_dialog/decline_dialog_view.dart';

class ShiftDeclineDialog extends StatelessWidget {
  const ShiftDeclineDialog({super.key});

  static Future<Map<String, dynamic>?> showCustomDialog(
      BuildContext context) async {
    return await showDialog<Map<String, dynamic>>(
      context: context,
      builder: (context) => const ShiftDeclineDialog(),
    );
  }

  @override
  Widget build(BuildContext context) {
    return const DeclineDialogView();
  }
}
